# module DOT

rdot.rb

This is a modified version of dot.rb from Dave Thomas’s rdoc project. I [Horst Duchene] renamed it to rdot.rb to avoid collision with an installed rdoc/dot.

It also supports undirected edges.

### Constants

EDGE_OPTS

  options for edge declaration

GRAPH_OPTS

  options for graph declaration

NODE_OPTS

  options for node declaration

### Public Instance Methods

change_tab(t) click to toggle source

if we don’t like 4 spaces, we can change it any time

    # File lib/puppet/external/dot.rb, line 18
    def change_tab (t)
      $tab  = t
      $tab2 = t * 2
    end